Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
rb_block Struct Reference

`#include <vm_core.h>`

## Data Fields
union {
struct rb_captured_block captured
VALUE symbol
VALUE proc
} | as
enum rb_block_type | type
union {
struct rb_captured_block captured
VALUE symbol
VALUE proc
} | as

## Detailed Description

Definition at line 751 of file vm_core.h.

## Field Documentation

## ◆ as [1/2]

union { ... } rb_block::as

Referenced by rb_vm_block_ep_update().

## ◆ as [2/2]

union { ... } rb_block::as

## ◆ captured

struct rb_captured_block rb_block::captured

Definition at line 753 of file vm_core.h.

Referenced by rb_vm_block_ep_update().

## ◆ proc

VALUE rb_block::proc

Definition at line 755 of file vm_core.h.

Referenced by rb_proc_get_iseq().

## ◆ symbol

VALUE rb_block::symbol

Definition at line 754 of file vm_core.h.

## ◆ type

enum rb_block_type rb_block::type

Definition at line 757 of file vm_core.h.

The documentation for this struct was generated from the following files:

- vm_core.h
- /msysdev/ruby/src/build-x86_64-pc-msys/include/ruby-2.7.0/x86_64-msys/rb_mjit_min_header-2.7.0.h